# Enforce User Fields

The Enforce User Fields module force users to fill any required user account
fields at login.

For a full description of the module, visit the
[enforce user fields](https://www.drupal.org/project/enforce_user_fields).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/enforce_user_fields).


## Table of contents

- Requirements
- Installation
- Configuration
- Similar modules
- Maintainers


## Requirements

No special requirements.


## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).


## Configuration

1. When enabled, every time a user login it checks if any required fields
   in his account still need to be filled. User is not allowed to login unless
   he fills the required fields.
2. Supported [Multiple Registration](https://www.drupal.org/project/multiple_registration) module.
3. Useful when:
  - Users can register through third party services (facebook, linkedin,
    you name it) and required data can not be imported.
  - A new required field has been added to the users profile and
    we need to force existing users to fill it.
  - Required fields hidden on registration step, but you want to
    fill it before user can have access to the site.


## Similar modules

- [Enforce Profile Fields](https://www.drupal.org/project/enforce_profile_field).
- [Profile Fields Force Filling](https://www.drupal.org/project/pfff)
